MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032180Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-27 09:512021-03-06 13:25
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032180: Visualization - StdSelect_BRepOwner::SetLocation() does not update selected sub-shape
DescriptionAIS_InteractiveContext::SetLocation() updates dynamic highlighting, but does not update selected sub-shapes.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vclear
vinit View1
vpoint p0 0 0 0
vpoint p1 3 3 3
vfit
vdisplay -dispMode 1 -hiMode 1 b
vselmode b FACE 1
vselect 50 200
vmoveto 50 100
vlocation b -location 2 0 0
if { [vreadpixel 50 200 -rgb -name] != "BLACK" } { puts "Error: wrong color" }


Also test case v3d/dimensions/offset.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0026960closedbugmaster Open CASCADE Visualization, TKOpenGl - update transformation of dynamically highlighted presentation 
related to 0022368closedbugmaster Community AIS_Trihedron's highlight presentation isn't updated on trihedron relocation 
child of 0027986closedapn Open CASCADE Visualization - AIS_InteractiveContext::SetLocation() does not update dynamic highlighting 

-  Notes
(0099192)
git (administrator)
2021-02-27 10:48

Branch CR32180 has been created by kgv.

SHA-1: f8bc073bb1747fcd20ca82b29baf065305c02364


Detailed log of new commits:

Author: kgv
Date: Sat Feb 27 10:48:32 2021 +0300

    0032180: Visualization - StdSelect_BRepOwner::SetLocation() does not update selected sub-shape
    
    StdSelect_BRepOwner::SetLocation() now propagates location to sub-shape presentation instead of invalidating it.
(0099193)
git (administrator)
2021-02-27 10:50

Branch CR32180 has been updated forcibly by kgv.

SHA-1: 3aba32ba42c2b1f8cc6ab096e81b42b2ab17b63a
(0099220)
kgv (developer)
2021-02-27 15:34

Patch is ready for review
- OCCT: branch CR32180.

http://jenkins-test-12.nnov.opencascade.com/view/CR32180-master-KGV/ [^]
(0099221)
kgv (developer)
2021-02-27 15:35

(0099222)
git (administrator)
2021-02-27 15:36

Branch CR32180 has been updated forcibly by kgv.

SHA-1: ba590cbf1556d97c4c4d7f8a5ed8690223d03b9c
(0099231)
osa (developer)
2021-03-01 10:30

The patch was reviewed
(0099467)
bugmaster (administrator)
2021-03-06 12:14

Combination -
OCCT branch : IR-2021-03-05
master SHA - 58210e5983a7986bc4cd1bec9c0b5cb29828fda4
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-05 SHA - b3d022cfefe721ee2ad6db68ca360345d656610b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17744.80000000016 / 17811.87000000015 [-0.38%]
Products
Total CPU difference: 11539.9800000001 / 11543.6500000001 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.640625 / 19344.390625 [-0.12%]
Products
Total CPU difference: 12868.796875 / 12900.578125 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099499)
git (administrator)
2021-03-06 13:25

Branch CR32180 has been deleted by inv.

SHA-1: ba590cbf1556d97c4c4d7f8a5ed8690223d03b9c

- Related Changesets
occt: master ba590cbf
Timestamp: 2021-02-27 07:48:32
Author: kgv
Details ] Diff ]
0032180: Visualization - StdSelect_BRepOwner::SetLocation() does not update selected sub-shape

StdSelect_BRepOwner::SetLocation() now propagates location to sub-shape presentation instead of invalidating it.
mod - src/StdSelect/StdSelect_BRepOwner.cxx Diff ] File ]
mod - tests/bugs/vis/bug27986_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-27 09:51 kgv New Issue
2021-02-27 09:51 kgv Assigned To => kgv
2021-02-27 09:53 kgv Relationship added child of 0027986
2021-02-27 09:54 kgv Relationship added related to 0026960
2021-02-27 10:28 kgv Steps to Reproduce Updated View Revisions
2021-02-27 10:42 kgv Summary Visualization - AIS_InteractiveContext::SetLocation() does not update selected sub-shape => Visualization - StdSelect_BRepOwner::SetLocation() does not update selected sub-shape
2021-02-27 10:48 git Note Added: 0099192
2021-02-27 10:50 git Note Added: 0099193
2021-02-27 10:55 kgv Relationship added related to 0022368
2021-02-27 15:34 kgv Note Added: 0099220
2021-02-27 15:34 kgv Assigned To kgv => osa
2021-02-27 15:34 kgv Status new => resolved
2021-02-27 15:34 kgv Steps to Reproduce Updated View Revisions
2021-02-27 15:35 kgv Note Added: 0099221
2021-02-27 15:36 git Note Added: 0099222
2021-03-01 10:30 osa Note Added: 0099231
2021-03-01 10:30 osa Assigned To osa => bugmaster
2021-03-01 10:30 osa Status resolved => reviewed
2021-03-06 12:14 bugmaster Note Added: 0099467
2021-03-06 12:14 bugmaster Status reviewed => tested
2021-03-06 12:19 bugmaster Test case number => Not required
2021-03-06 12:34 kgv Changeset attached => occt master ba590cbf
2021-03-06 12:34 kgv Assigned To bugmaster => kgv
2021-03-06 12:34 kgv Status tested => verified
2021-03-06 12:34 kgv Resolution open => fixed
2021-03-06 13:25 git Note Added: 0099499


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker